var pubArgu = {
	nuiteCon: null,
	dicteeBtn: null,
	windowHeight: null,
	bottomBtnHeight: null,
}; //公用的全局变量

$(function(){
	init();
	function fixPageHeight(){
		pubArgu.windowHeight = document.documentElement.clientHeight;
	    $('#nuiteCon').css('height', pubArgu.windowHeight - pubArgu.bottomBtnHeight -3);
	}

	function init(){
		FastClick.attach(document.body);

		pubArgu.bottomBtnHeight = $('#dicteeBtn').height();
		fixPageHeight();
				
		swiperInit(); //滑动组件初始化

		bindClickEvent(); //绑定页面元素点击事件
		
		$(window).on("resize",windowSizeSwiper); //浏览器窗口改变时，重置swiper

		$.commFun.progressBarChange(); //更新进度
	}

	//绑定页面元素点击事件
	function bindClickEvent(){
		$('#dicteeBtn').on('click','.dicteebtn',function(e){
			enterDicteePage({'pageID':pageID, 'auto_uwid':this.id});
		});
	}
	
	//滑动组件初始化
	function swiperInit(){
    	pubArgu.nuiteCon = new Swiper("#nuiteCon", {
	    	scrollbar: '.swiper-scrollbar',
	        direction: 'vertical',
	        slidesPerView: 'auto',
	        freeMode: true,
	        onInit: function(s){
	        	var slide = s.slides[0];
	        	var conHei = $(slide).children().height();
	        	if(slide.offsetHeight != conHei){
	        		$(slide).css('height', conHei);
	        		s.onResize();
	        		s.update();
	        	}
	        },
	        onTouchStart: function(s){
	        	s.setWrapperTransition(0);
	        	s.setWrapperTranslate(s.getWrapperTranslate());
	        },
	    });

	    pubArgu.dicteeBtn = new Swiper('#dicteeBtn',{
			pagination : '.swiper-pagination',
		});
	    
	}
    
	//浏览器窗口尺寸改变时，重置swiper
	function windowSizeSwiper(){
		fixPageHeight();
		var s = pubArgu.nuiteCon;
		var slide = s.slides[0];
    	var conHei = $(slide).children().height();
    	$(slide).css('height', conHei);
		s.onResize();
	}

});